#!/bin/sh
set -e

#DEBHELPER#

if [ "$1" = "remove" ]; then
    # Stop the services that we started by default
    deb-systemd-invoke stop balboa-backend@rocksdb >/dev/null || true
    # FIXME manually drop symlink, deb-systemd-helper does not support
    # template services yet.
    rm -f /etc/systemd/system/multi-user.target.wants/balboa-backend\@rocksdb.service
    # tell systemd to reload
    if [ -d /run/systemd/system ]; then
	    systemctl --system daemon-reload >/dev/null || true
    fi
fi

exit 0